Grand Master Ramos:
Warriors pursue extreme offensive power. Since attack power is very important for them, their skills emphasize offense. They also have far more HP than those of other professions. They often take the front line of battle with their great physical strength.
Warriors who continuously train and build experience can attain the higher-level professions of the Warlord or the Gladiator. To become a Warrior, you must pass the Test of the Warrior and bring back the medallion of the Warrior as proof.
Ask about the medallion of the Warrior
Return